<template>
    <div>
        ConfigCarView
    </div>
    <div>
        <div>
            <label for="name">
                Name
                <input v-model="currentCar.name" type="text" id="name">
            </label>
        </div>
        <div>
            <label for="factory">
                Factory
                <input v-model="currentCar.factory" type="text" id="factory">
            </label>
        </div>
        <div>
            <label for="color">
                Color
                <input v-model="currentCar.color" type="text" id="color">
            </label>
        </div>
        <button @click="saveCarInfo">Save</button>
    </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex';


export default {
    name: 'ConfigCarView',
    data() {
        return {
            currentCar: {},
        }
    },
    computed: {
        itemId() {
            return this.$route.params.carId
        },
        ...mapGetters(['getCarById'])
    },
    methods: {
        ...mapActions(['updateCarInfo']),
        saveCarInfo() {
            this.updateCarInfo(this.currentCar);
            this.$router.push({ name: 'cars' })
        },
    },
    created() {
        if (this.itemId) {
            this.currentCar = { ...this.getCarById(this.itemId) };
        }
    },
}
</script>

<style lang="scss" scoped></style>